# Problme soumis par J. Nowak
# Code soumis par J. Nowak modifi par C. Roy
#la base de donnes au 99 premires observations
#
#                            Instructions
#_______________________________________________________________________________
#pour les "nouveaux" vous allez devoir installer les packages avant de les appeler
#Pour installer des Packages directement dans R tapez:
# (Alt-P)
# I
# Choisissez votre miroir s'il n'est pas install par dfaut (QC1 ou QC2 devrait marcher)
# Choisissiez le package que vous voulez installer dans la liste

#For englisdh people: You'll need to install the package that are called below first
#To install packages press:
# (Alt-P)
# I
#Choose your miror if necessary
#Choose the package you want to install
#
#                          Set working drive
#_______________________________________________________________________________
setwd("C:\\Documents and Settings\\chroy203\\Bureau\\PleinR")  #Change work drive if necessary
#
#                          Call packages
#_______________________________________________________________________________
library(adehabitat)
library(RODBC)  #You need this package to import DBF files 
#
#                          Import File
#_______________________________________________________________________________
Channel.1 <- odbcConnectDbase("C:\\Documents and Settings\\chroy203\\Bureau\\PleinR\\josh.dbf")
#if for some reason you want to relaod the database disconnect it first by running:
#odbcClose(Channel.1) 
Channel.1
dat.whole.NF2<-(sqlFetch(Channel.1 ,"josh"))
dat.whole.NF2<-dat.whole.NF2[1:99,] #delete all the NA
#
#                          Check file content
#_______________________________________________________________________________
head(dat.whole.NF2, 25)
#
#In my example, I am taking the telemetry data and trying to convert it to class 
#"ltraj" (package = adehabitat).  To convert an object to class ltraj it 
#is required that a date column be specified in the format POSIXct.  
#The problem is that the date column has both a date and a time and the time 
#continues to be classified as POSIXt, which ltraj will not accept.

 #The example from adehabitat documentation:
### Conversion of the date to the format POSIX
da <- as.character(locs$Date)
da <- as.POSIXct(strptime(as.character(locs$Date),"%y%m%d"))
### Creation of an object of class "ltraj", with for
### example the first animal
(tr1 <- as.ltraj(xy[locs$Name=="Brock",],
date = da[locs$]

#An example of my code is below....
 class(dat.whole.NF2$LMT_DATE)
new <- as.POSIXct(dat.whole.NF2$LMT_DATE)
class(new)
head(new)
new <- as.POSIXct(strptime(dat.whole.NF2$LMT_DATE, format = "%Y-%m-%d"))            # This is an implied subset and it doesn't work
class(new)
head(new)
require(adehabitat)
as.ltraj(new)        #  a little simple, but I should be getting different errors for the problem
head(new)
#[1] "2009-03-03 EST" "2009-03-03 EST" "2009-03-03 EST" "2009-03-03 EST" "2009-03-03 EST" "2009-03-03 EST"
